Subject: Re: [PATCH net-next 00/12] nfp: add support for multi-pf configuration

From: Jakub Kicinski <[email-masked]>
Date: Mon, 24 Jul 2023 17:01:00 -0700

On Mon, 24 Jul 2023 11:48:09 +0200 Louis Peens wrote:
> This patch series is introducing multiple PFs for multiple ports NIC
> assembled with NFP3800 chip. This is done since the NFP3800 can
> support up to 4 PFs, and is more in-line with the modern expectation
> that each port/netdev is associated with a unique PF.
> 
> For compatibility concern with NFP4000/6000 cards, and older management
> firmware on NFP3800, multiple ports sharing single PF is still supported
> with this change. Whether it's multi-PF setup or single-PF setup is
> determined by management firmware, and driver will notify the
> application firmware of the setup so that both are well handled.

So every PF will have its own devlink instance?
Can you show devlink dev info output?